Установленные интеграции проекта
/api/v1/developer/integrationsВозвращает bounded страницу installation ids для последующих integration и webhook операций. Provider account, granted provider scopes, commercial state, project и actor facts исключены.
Право доступаintegrations.installations.read
Authorization: Bearer YOUR_PROJECT_TOKEN
Параметры
statusнеобязательно · querystringenum: ["current","active","paused","disconnected","all"]JSON Schema
{ "type": "string", "enum": [ "current", "active", "paused", "disconnected", "all" ] }definitionCodeнеобязательно · querystringpattern: "^[a-z][a-z0-9_-]*$" · minLength: 1 · maxLength: 80JSON Schema
{ "type": "string", "minLength": 1, "maxLength": 80, "pattern": "^[a-z][a-z0-9_-]*$" }limitнеобязательно · queryintegerminimum: 1 · maximum: 100JSON Schema
{ "type": "integer", "minimum": 1, "maximum": 100 }cursorнеобязательно · querystringminLength: 1 · maxLength: 2048JSON Schema
{ "type": "string", "minLength": 1, "maxLength": 2048 }
Примеры запроса
curl --request GET 'https://YOUR_NOVA_HOST/api/v1/developer/integrations?status=current&limit=50' --header 'Authorization: Bearer YOUR_PROJECT_TOKEN'
Ответы
200 Paginated project integration installations
application/jsonobject
installationsобязательно- array
Вложенная схема
arrayobjectidобязательно- stringminLength: 1 · maxLength: 160
definitionCodeобязательно- stringminLength: 1 · maxLength: 80
definitionVersionобязательно- integerexclusiveMinimum: 0
displayNameобязательно- stringminLength: 1 · maxLength: 80
statusобязательно- stringenum: ["active","paused","disconnected"]
healthобязательно- stringenum: ["pending","healthy","attention"]
configVersionобязательно- integerexclusiveMinimum: 0
createdAtобязательно- stringformat: "date-time"
updatedAtобязательно- stringformat: "date-time"
disconnectedAtобязательно- string | nullformat: "date-time"
JSON Schema
{ "type": "object", "properties": { "id": { "type": "string", "minLength": 1, "maxLength": 160 }, "definitionCode": { "type": "string", "minLength": 1, "maxLength": 80 }, "definitionVersion": { "type": "integer", "exclusiveMinimum": 0 }, "displayName": { "type": "string", "minLength": 1, "maxLength": 80 }, "status": { "type": "string", "enum": [ "active", "paused", "disconnected" ] }, "health": { "type": "string", "enum": [ "pending", "healthy", "attention" ] }, "configVersion": { "type": "integer", "exclusiveMinimum": 0 }, "createdAt": { "type": "string", "format": "date-time" }, "updatedAt": { "type": "string", "format": "date-time" }, "disconnectedAt": { "type": [ "string", "null" ], "format": "date-time" } }, "required": [ "id", "definitionCode", "definitionVersion", "displayName", "status", "health", "configVersion", "createdAt", "updatedAt", "disconnectedAt" ], "additionalProperties": false }JSON Schema
{ "type": "array", "items": { "type": "object", "properties": { "id": { "type": "string", "minLength": 1, "maxLength": 160 }, "definitionCode": { "type": "string", "minLength": 1, "maxLength": 80 }, "definitionVersion": { "type": "integer", "exclusiveMinimum": 0 }, "displayName": { "type": "string", "minLength": 1, "maxLength": 80 }, "status": { "type": "string", "enum": [ "active", "paused", "disconnected" ] }, "health": { "type": "string", "enum": [ "pending", "healthy", "attention" ] }, "configVersion": { "type": "integer", "exclusiveMinimum": 0 }, "createdAt": { "type": "string", "format": "date-time" }, "updatedAt": { "type": "string", "format": "date-time" }, "disconnectedAt": { "type": [ "string", "null" ], "format": "date-time" } }, "required": [ "id", "definitionCode", "definitionVersion", "displayName", "status", "health", "configVersion", "createdAt", "updatedAt", "disconnectedAt" ], "additionalProperties": false } } nextCursorобязательно- string | null
JSON Schema
{
"type": "object",
"properties": {
"installations": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"minLength": 1,
"maxLength": 160
},
"definitionCode": {
"type": "string",
"minLength": 1,
"maxLength": 80
},
"definitionVersion": {
"type": "integer",
"exclusiveMinimum": 0
},
"displayName": {
"type": "string",
"minLength": 1,
"maxLength": 80
},
"status": {
"type": "string",
"enum": [
"active",
"paused",
"disconnected"
]
},
"health": {
"type": "string",
"enum": [
"pending",
"healthy",
"attention"
]
},
"configVersion": {
"type": "integer",
"exclusiveMinimum": 0
},
"createdAt": {
"type": "string",
"format": "date-time"
},
"updatedAt": {
"type": "string",
"format": "date-time"
},
"disconnectedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
}
},
"required": [
"id",
"definitionCode",
"definitionVersion",
"displayName",
"status",
"health",
"configVersion",
"createdAt",
"updatedAt",
"disconnectedAt"
],
"additionalProperties": false
}
},
"nextCursor": {
"type": [
"string",
"null"
]
}
},
"required": [
"installations",
"nextCursor"
],
"additionalProperties": false,
"$ref": "#/components/schemas/DeveloperIntegrationInstallationPageResponse"
}400 Invalid installation discovery request
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titleобязательно- string
statusобязательно- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}401 Invalid developer credential
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titleобязательно- string
statusобязательно- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}403 Integration discovery access unavailable
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titleобязательно- string
statusобязательно- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}429 Developer API rate limit exceeded
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titleобязательно- string
statusобязательно- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}503 Developer API rate limiter unavailable
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titleобязательно- string
statusобязательно- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}